Debian Bug report logs - #658993
live-initramfs find_cow_device fails due to busybox -- w error

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: giancarlo@navigare.net

Date: Tue, 7 Feb 2012 08:39:02 UTC

Severity: normal

Fixed in version live-boot/3.0~a23-1

Done: daniel.baumann@progress-technologies.net

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#658993; Package live-initramfs. (Tue, 07 Feb 2012 08:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to giancarlo@navigare.net:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 07 Feb 2012 08:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Giancarlo Pinerolo <giancapin@yahoo.it>
To: submit@bugs.debian.org
Subject: live-initramfs find_cow_device fails due to busybox -- w error
Date: Tue, 7 Feb 2012 08:35:46 +0000 (GMT)
[Message part 1 (text/plain, inline)]
Package: live-initramfs
Version: 1.157.4+20091126.085142ubuntu3

When booting with 'persistent' cheatcode and providing a live-rw ext3 filesystem data file, the scripts/live-helpers script complains about :

grep: invalid option -- 'w'
BusyBox v1.13.3 (Ubuntu 1:1.13.3-1ubuntu7) multi-call binary
and shows available grep commands where no -w option is available

although unpacking initrd.img and running grep (bysybox) shows the -w parameter available

attached:
live-boot.log  obtained with the 'debug' cheatcode
init.bin.grep.stdout output of grep extracted from initrd.img

I had a similar problem with slax/liblinuxlive http://www.linux-live.org) and solved it by substituting busybox with a script having  anLD_PRELOAD (and LD_LIBRARY_PATH?) pointing  to the libs in initrd/lib .

I think the problem is in loading wrong libs ain initramfs

Giancarlo
[live-boot.log (application/octet-stream, attachment)]
[initrd.bin.grep.stdout (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#658993; Package live-initramfs. (Tue, 07 Feb 2012 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 07 Feb 2012 09:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 658993@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: giancarlo@navigare.net
Cc: 658993@bugs.debian.org, Giancarlo Pinerolo <giancapin@yahoo.it>
Subject: Re: Bug#658993: live-initramfs find_cow_device fails due to busybox -- w error
Date: Tue, 07 Feb 2012 09:59:17 +0100
reassign 658993 live-boot
close 658993 3.0~a23-1
thanks

On 02/07/2012 09:35 AM, Giancarlo Pinerolo wrote:
> Package: live-initramfs
> Version: 1.157.4+20091126.085142ubuntu3

when you're using ubuntu, please do not report bugs against debian-live
packages in debian before having made sure the problem exists there too.

your problem has been fixed some time ago already.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reassigned from package 'live-initramfs' to 'live-boot'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:03:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1.157.4+20091126.085142ubuntu3. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:03:09 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 3.0~a23-1, send any further explanations to giancarlo@navigare.net Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:03:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Mar 2012 07:43:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:41:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.